require("stachel.colorscheme")
require("stachel.lspconfig")
require("stachel.remap")
require("stachel.completion")
require("stachel.latex")
require("stachel.presence")

vim.opt.tabstop = 2       -- Number of spaces that a <Tab> counts for
vim.opt.shiftwidth = 2    -- Number of spaces to use for each step of autoindent
vim.opt.expandtab = true  -- Convert tabs to spaces
vim.o.splitright = true

vim.api.nvim_create_autocmd("VimLeave", {
  callback = function()
    vim.o.guicursor = "a:ver25"
  end
})
